> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# Gets multiple results specified by a list of IDs.

GET https://{tenant_name}.benchling.com/api/v2/assay-results:bulk-get

Up to 200 IDs can be specified at once.

Reference: https://docs.benchling.com/docs/api/v2/benchling-api/assay-results/bulk-get-assay-results

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `assayResultIds` (string, required) — Comma-separated list of assay result IDs.

## Response

### 200

OK

- `assayResults` (list of AssayResult, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (BadRequestErrorError, optional)

## Types

### AssayResult

- `archiveRecord` (ArchiveRecord, optional, nullable) — ArchiveRecord Resource if the result is archived. This is null if the result is not archived.
- `createdAt` (datetime, optional) — DateTime at which the the result was created
- `creator` (UserSummary, optional) — UserSummary Resource of who created the request
- `entryId` (string, optional, nullable) — ID of the entry that this result is attached to
- `fieldValidation` (map from string to UserValidation, optional) — Object mapping field names to a UserValidation Resource object for that field. To **set** validation for a result, you *must* use this object.
- `fields` (map from string to Field, optional) — Field values for the returned result. Please note the keys of each field are the field's system name (additional_prop) instead of the field's display name (additionalProp).
- `id` (string, optional) — ID of the result
- `isReviewed` (boolean, optional) — Whether or not this result is attached to an accepted entry
- `modifiedAt` (datetime, optional) — DateTime at which the the result was last modified
- `projectId` (string, optional, nullable) — ID of the project to insert the result into
- `schema` (SchemaSummary, optional) — Schema that the result belongs to
- `v3Id` (string, optional) — V3 identifier for the result
- `validationComment` (string, optional)
- `validationStatus` (string, optional)

### BadRequestErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)

### ArchiveRecord

- `reason` (string, optional)

### UserSummary

- `handle` (string, optional)
- `id` (string, optional)
- `name` (string, optional)

### UserValidation

- `validationComment` (string, optional) — A string explaining the reason for the provided validation status.
- `validationStatus` (enum, optional) — Valid values for this enum depend on whether it is used to set a value (e.g., in a POST request), or is a return value for an existing result. Acceptable values for setting a status are 'VALID' or 'INVALID'. Possible return values are 'VALID', 'INVALID', or 'PARTIALLY_VALID' (a result will be partially valid if it has some valid fields and some invalid fields).
  - Allowed values: `VALID`, `INVALID`, `PARTIALLY_VALID`

### Field

- `value` (FieldValue, required, nullable) — For single link fields, use the id of the item you want to link (eg. "seq_jdf8BV24"). For multi-link fields, use an array of ids of the items you want to link (eg. ["seq_jdf8BV24"])
- `displayValue` (string, optional, nullable)
- `isMulti` (boolean, optional)
- `textValue` (string, optional, nullable)
- `type` (enum, optional)
  - Allowed values: `dna_sequence_link`, `aa_sequence_link`, `custom_entity_link`, `entity_link`, `mixture_link`, `molecule_link`, `dropdown`, `part_link`, `translation_link`, `aa_part_link`, `base_molecule_link`, `blob_link`, `text`, `long_text`, `batch_link`, `storage_link`, `entry_link`, `assay_request_link`, `assay_result_link`, `assay_run_link`, `boolean`, `float`, `integer`, `datetime`, `date`, `json`

### SchemaSummary

- `id` (string, optional)
- `name` (string, optional)

### FieldValue

For single link fields, use the id of the item you want to link (eg. "seq_jdf8BV24"). For multi-link fields, use an array of ids of the items you want to link (eg. ["seq_jdf8BV24"])

## Examples

**Response**

```json
{
  "assayResults": [
    {
      "archiveRecord": {
        "reason": "Made in error"
      },
      "createdAt": "2024-01-15T09:30:00Z",
      "creator": {
        "handle": "string",
        "id": "string",
        "name": "string"
      },
      "entryId": "string",
      "fieldValidation": {},
      "fields": {
        "0": {
          "value": [
            "seq_jdf8BV24"
          ],
          "displayValue": "Amp",
          "isMulti": true,
          "textValue": "Amp",
          "type": "dna_sequence_link",
          "additional_prop": null
        }
      },
      "id": "string",
      "isReviewed": true,
      "modifiedAt": "2024-01-15T09:30:00Z",
      "projectId": "string",
      "schema": {
        "id": "string",
        "name": "string"
      },
      "v3Id": "string",
      "validationComment": "string",
      "validationStatus": "string"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v2/assay-results:bulk-get"

querystring = {"assayResultIds":"assayResultIds"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v2/assay-results:bulk-get?assayResultIds=assayResultIds';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```